Bug 18655 - Testing X configuration results in corrupted screen(s) after test.
Testing X configuration results in corrupted screen(s) after test.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-08 16:17 EDT by Gregory McLean
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-27 15:40:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory McLean 2000-10-08 16:17:00 EDT
While installing Red Hat Deluxe Workstation 7.0 Configuring X Windows and
choosing 'test this configuration' resulted in a corrupted screen from that
point on unable to read any further instructions. The corruption was/is the
standard X background pattern. The video card in question is A NVidia TNT2
based card. The work around is to do the X configuration post install.
Comment 1 Need Real Name 2000-10-08 21:38:16 EDT
I got this too, with a Geforce 256 SDR card. I asked for 1600x1200, and pressed "Test." The test screen came up fine, but when it returned
to the installer the screen was corrupted, and only the navigation buttons remained visible, so it was impossible to continue the install. I 
restarted the install, did the X configuration with the same 1600x1200 resolution but did not test it this time around. After completing the 
install and firing it up, the display works fine.
Comment 2 Michael Fulbright 2000-10-09 10:50:07 EDT
Which brand cards do you have?

We have tested cards we have based on these chipsets with no problems, but the X
server for these chipsets occasionally has issues.  It is more an X server
problem than installer problem.

Brent lets keep note of these reports so we can see if there is a trend of
problems.
Comment 3 Gregory McLean 2000-10-09 11:01:56 EDT
My card is a guillemot Cougar Maxi Gamer Video edtion.

the PCI info is:
 PCI:*(1:0:0) NVidia Riva Ultra 64 rev 17, Mem @ 0xfd000000/24, 0xf2000000/25
NVidia's driver reports it as such:
(--) NVIDIA(0): Chipset: "RIVATNT2 (M64)"

This is an AGP card if that makes any difference.
Comment 4 Need Real Name 2000-10-09 21:55:52 EDT
My Geforce 256 is a "Creative CT6962 (AGP)". In case it's useful, the system 
is a Micron Millenia MAX P3 533, the chipset is VIA Apollo Pro 133A, and the
card was the original one that shipped with the system.
Comment 5 Michael Fulbright 2000-10-27 15:40:44 EDT
Unfortunately the X server for these cards is in a beta state so it is known to
have problems.

You have already found a workaround for the time being which seems reasonable.

Note You need to log in before you can comment on or make changes to this bug.